Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F166609501
D7454.id19168.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D7454.id19168.diff
View Options
Index: Mk/Scripts/qa.sh
===================================================================
--- Mk/Scripts/qa.sh
+++ Mk/Scripts/qa.sh
@@ -626,9 +626,37 @@
return ${rc}
}
+sonames() {
+ local found
+ found=0
+ while read f; do
+ # No results presents a blank line from heredoc.
+ [ -z "${f}" ] && continue
+ # Ignore symlinks
+ [ -f "${f}" -a ! -L "${f}" ] || continue
+ files=$((files+1))
+ if ! readelf -d ${f} | grep -q SONAME; then
+ warn "${f} doesn't have a SONAME."
+ warn "pkg(8) will not register it as being provided by the port."
+ warn "If another port depend on it, pkg will not be able to know where it comes from."
+ case "${f}" in
+ ${STAGEDIR}${PREFIX}/lib/*/*)
+ warn "It is in a subdirectory, it may not be used in another port."
+ ;;
+ *)
+ warn "It is directly in ${PREFIX}/lib, it is probably used by other ports."
+ ;;
+ esac
+ fi
+ # Use heredoc to avoid losing rc from find|while subshell
+ done <<-EOT
+ $(find ${STAGEDIR}${PREFIX}/lib -name '*.so' -o -name '*.so.*')
+ EOT
+}
+
checks="shebang symlinks paths stripped desktopfileutils sharedmimeinfo"
checks="$checks suidfiles libtool libperl prefixvar baselibs terminfo"
-checks="$checks proxydeps"
+checks="$checks proxydeps sonames"
ret=0
cd ${STAGEDIR}
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Aug 15, 8:46 PM (5 h, 59 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
36800338
Default Alt Text
D7454.id19168.diff (1 KB)
Attached To
Mode
D7454: Add a stage-qa check to check for the existence of SONAME in .so's.
Attached
Detach File
Event Timeline
Log In to Comment